<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync:  Fichier source de src/checkBoxDialog.py</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('checkBoxDialog_8py_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">checkBoxDialog.py</div>  </div>
</div><!--header-->
<div class="contents">
<a href="checkBoxDialog_8py.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="namespacesrc_1_1checkBoxDialog.html#acac7f880e63599b3496c7a33361d4553">    1</a></span>&#160;licenceEn=<span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="stringliteral">    file checkBoxDialog.py</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="stringliteral">    this file is part of the project scolasync</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="stringliteral">    Copyright (C) 2010 Georges Khaznadar &lt;georgesk@ofset.org&gt;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="stringliteral">    This program is free software: you can redistribute it and/or modify</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="stringliteral">    it under the terms of the GNU General Public License as published by</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="stringliteral">    the Free Software Foundation, either version3 of the License, or</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="stringliteral">    (at your option) any later version.</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="stringliteral">    This program is distributed in the hope that it will be useful,</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="stringliteral">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="stringliteral">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="stringliteral">    GNU General Public License for more details.</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="stringliteral">    You should have received a copy of the GNU General Public License</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="stringliteral">    along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">from</span> <a class="code" href="namespacePyQt5_1_1QtCore.html">PyQt5.QtCore</a> <span class="keyword">import</span> *</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">from</span> <a class="code" href="namespacePyQt5_1_1QtWidgets.html">PyQt5.QtWidgets</a> <span class="keyword">import</span> *</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">import</span> Ui_checkBoxDialog</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html">CheckBoxDialog</a>(<a class="code" href="classQDialog.html">QDialog</a>):</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#aa48eb9861b0e0b8f426cde02d653b1f9">   34</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#aa48eb9861b0e0b8f426cde02d653b1f9">__init__</a>(self,parent = None):</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        QDialog.__init__(self,parent)</div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a44f65731056a52226d937886a4768081">   36</a></span>&#160;        self.<a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a44f65731056a52226d937886a4768081">mainWindow</a>=parent</div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a9bc5a1789a865fd0a786af3f43c28c8b">   37</a></span>&#160;        self.<a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a9bc5a1789a865fd0a786af3f43c28c8b">ui</a>=Ui_checkBoxDialog.Ui_checkBoxDialog()</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        self.<a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a9bc5a1789a865fd0a786af3f43c28c8b">ui</a>.setupUi(self)</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        self.<a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a9bc5a1789a865fd0a786af3f43c28c8b">ui</a>.allButton.clicked.connect(self.<a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#aa7fbc638621498ec672bc23b597b8e4a">all</a>)</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        self.<a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a9bc5a1789a865fd0a786af3f43c28c8b">ui</a>.ToggleButton.clicked.connect(self.<a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a6ae6c444763b903a9bb66f909ab87c08">toggle</a>)</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        self.<a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a9bc5a1789a865fd0a786af3f43c28c8b">ui</a>.NoneButton.clicked.connect(self.<a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a9618436a3201506c287a0730b91b1c2a">none</a>)</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        self.<a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a9bc5a1789a865fd0a786af3f43c28c8b">ui</a>.escButton.clicked.connect(self.<a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#ab8b6b4c55db0e3383588b3706a131dbf">esc</a>)</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#aa7fbc638621498ec672bc23b597b8e4a">   47</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#aa7fbc638621498ec672bc23b597b8e4a">all</a>(self):</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        self.<a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a44f65731056a52226d937886a4768081">mainWindow</a>.checkAllSignal.emit()</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        self.close()</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a6ae6c444763b903a9bb66f909ab87c08">   54</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a6ae6c444763b903a9bb66f909ab87c08">toggle</a>(self):</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        self.<a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a44f65731056a52226d937886a4768081">mainWindow</a>.checkToggleSignal.emit()</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        self.close()</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    </div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a9618436a3201506c287a0730b91b1c2a">   61</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a9618436a3201506c287a0730b91b1c2a">none</a>(self):</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        self.<a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a44f65731056a52226d937886a4768081">mainWindow</a>.checkNoneSignal.emit()</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        self.close()</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160; </div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160; </div>
<div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#ab8b6b4c55db0e3383588b3706a131dbf">   68</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#ab8b6b4c55db0e3383588b3706a131dbf">esc</a>(self):</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        self.close()</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclasssrc_1_1checkBoxDialog_1_1CheckBoxDialog_html_a44f65731056a52226d937886a4768081"><div class="ttname"><a href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a44f65731056a52226d937886a4768081">src.checkBoxDialog.CheckBoxDialog.mainWindow</a></div><div class="ttdeci">mainWindow</div><div class="ttdef"><b>Definition:</b> <a href="checkBoxDialog_8py_source.html#l00036">checkBoxDialog.py:36</a></div></div>
<div class="ttc" id="aclassQDialog_html"><div class="ttname"><a href="classQDialog.html">QDialog</a></div></div>
<div class="ttc" id="aclasssrc_1_1checkBoxDialog_1_1CheckBoxDialog_html_ab8b6b4c55db0e3383588b3706a131dbf"><div class="ttname"><a href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#ab8b6b4c55db0e3383588b3706a131dbf">src.checkBoxDialog.CheckBoxDialog.esc</a></div><div class="ttdeci">def esc(self)</div><div class="ttdoc">termine le dialogue sans rien faire</div><div class="ttdef"><b>Definition:</b> <a href="checkBoxDialog_8py_source.html#l00068">checkBoxDialog.py:68</a></div></div>
<div class="ttc" id="aclasssrc_1_1checkBoxDialog_1_1CheckBoxDialog_html"><div class="ttname"><a href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html">src.checkBoxDialog.CheckBoxDialog</a></div><div class="ttdoc">Un dialogue pour gérer les cases à cocher de l'application.</div><div class="ttdef"><b>Definition:</b> <a href="checkBoxDialog_8py_source.html#l00029">checkBoxDialog.py:29</a></div></div>
<div class="ttc" id="aclasssrc_1_1checkBoxDialog_1_1CheckBoxDialog_html_a6ae6c444763b903a9bb66f909ab87c08"><div class="ttname"><a href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a6ae6c444763b903a9bb66f909ab87c08">src.checkBoxDialog.CheckBoxDialog.toggle</a></div><div class="ttdeci">def toggle(self)</div><div class="ttdoc">Fait inverser tous les boutons.</div><div class="ttdef"><b>Definition:</b> <a href="checkBoxDialog_8py_source.html#l00054">checkBoxDialog.py:54</a></div></div>
<div class="ttc" id="aclasssrc_1_1checkBoxDialog_1_1CheckBoxDialog_html_aa7fbc638621498ec672bc23b597b8e4a"><div class="ttname"><a href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#aa7fbc638621498ec672bc23b597b8e4a">src.checkBoxDialog.CheckBoxDialog.all</a></div><div class="ttdeci">def all(self)</div><div class="ttdoc">Fait cocher tous les baladeurs.</div><div class="ttdef"><b>Definition:</b> <a href="checkBoxDialog_8py_source.html#l00047">checkBoxDialog.py:47</a></div></div>
<div class="ttc" id="aclasssrc_1_1checkBoxDialog_1_1CheckBoxDialog_html_a9bc5a1789a865fd0a786af3f43c28c8b"><div class="ttname"><a href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a9bc5a1789a865fd0a786af3f43c28c8b">src.checkBoxDialog.CheckBoxDialog.ui</a></div><div class="ttdeci">ui</div><div class="ttdef"><b>Definition:</b> <a href="checkBoxDialog_8py_source.html#l00037">checkBoxDialog.py:37</a></div></div>
<div class="ttc" id="anamespacePyQt5_1_1QtCore_html"><div class="ttname"><a href="namespacePyQt5_1_1QtCore.html">QtCore</a></div></div>
<div class="ttc" id="aclasssrc_1_1checkBoxDialog_1_1CheckBoxDialog_html_aa48eb9861b0e0b8f426cde02d653b1f9"><div class="ttname"><a href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#aa48eb9861b0e0b8f426cde02d653b1f9">src.checkBoxDialog.CheckBoxDialog.__init__</a></div><div class="ttdeci">def __init__(self, parent=None)</div><div class="ttdoc">Le constructeur.</div><div class="ttdef"><b>Definition:</b> <a href="checkBoxDialog_8py_source.html#l00034">checkBoxDialog.py:34</a></div></div>
<div class="ttc" id="aclasssrc_1_1checkBoxDialog_1_1CheckBoxDialog_html_a9618436a3201506c287a0730b91b1c2a"><div class="ttname"><a href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a9618436a3201506c287a0730b91b1c2a">src.checkBoxDialog.CheckBoxDialog.none</a></div><div class="ttdeci">def none(self)</div><div class="ttdoc">Fait décocher tous les boutons.</div><div class="ttdef"><b>Definition:</b> <a href="checkBoxDialog_8py_source.html#l00061">checkBoxDialog.py:61</a></div></div>
<div class="ttc" id="anamespacePyQt5_1_1QtWidgets_html"><div class="ttname"><a href="namespacePyQt5_1_1QtWidgets.html">QtWidgets</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="checkBoxDialog_8py.html">checkBoxDialog.py</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
